Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82621 - Unable to mkbootdisk with LS-120 SuperFloppy
Summary: Unable to mkbootdisk with LS-120 SuperFloppy
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: mkbootdisk
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-24 02:03 UTC by David White
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-19 06:30:39 UTC


Attachments (Terms of Use)

Description David White 2003-01-24 02:03:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
During installation, I'm given the option to create a boot floppy.  I inserted a
good floppy into the drive, clicked next, the installer tried to make a boot
floppy, then bitched that the floppy was bad.  Tried again with second floppy
and got same results.  Unable to make a boot disk!

Hardware: Dell Dimension 4100 with LS-120 SuperFloppy ONLY! 
dmesg detects the drive as 
hdb: LS-120 VER5 00 UHD Floppy, ATAPI FLOPPY drive

Other distributions require an hdb=ide-floppy to correctly use the device.  



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Phoebe
2. Insert disk when prompted, click next
3. Wait for mkbootdisk to bitch
    

Actual Results:  It complained about defective floppies, multiple times.

Expected Results:  It should have created a boot disk.

Additional info:

Comment 1 David White 2003-01-25 04:05:54 UTC
P.S. - there's a /mnt/ls120.0 but no /mnt/floppy (It's a 120MB optical **AND** a
1.44MB magnetic floppy.)

Comment 2 David White 2003-01-30 01:46:44 UTC
Running mkbootdisk in Terminal triggers the following warning from grubby:

[root@localhost root]# mkbootdisk --device /dev/hdb 2.4.20-2.21
grubby: bad argument --info: missing argument
Insert a disk in /dev/hdb. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:


Comment 3 David White 2003-01-30 01:58:50 UTC
/var/log/messages indicates:

Jan 29 20:40:39 localhost kernel: hdb: 1440kB, 2880 blocks, 512 sector size
Jan 29 20:40:39 localhost kernel: hdb: 1440kB, 80/2/18 CHS, 150 kBps, 512 sector
size, 720 rpm
Jan 29 20:40:40 localhost kernel:  hdb: hdb1 hdb2 hdb3 hdb4
Jan 29 20:40:47 localhost kernel:  hdb: hdb1 hdb2 hdb3 hdb4
Jan 29 20:40:47 localhost kernel:  hdb:
Jan 29 20:40:49 localhost kernel:  hdb: hdb1 hdb2 hdb4
Jan 29 20:40:51 localhost kernel: loop: loaded (max 8 devices)
Jan 29 20:43:24 localhost kernel: 
Jan 29 20:43:24 localhost kernel: floppy driver state
Jan 29 20:43:24 localhost kernel: -------------------
Jan 29 20:43:24 localhost kernel: now=90643 last interrupt=90553 diff=90 last
called handler=c01ab500
Jan 29 20:43:24 localhost kernel: timeout_message=floppy start
Jan 29 20:43:24 localhost kernel: last output bytes:
Jan 29 20:43:24 localhost kernel: 14 90 73
Jan 29 20:43:24 localhost kernel: 18 80 73
Jan 29 20:43:24 localhost kernel:  8 80 73
Jan 29 20:43:24 localhost last message repeated 3 times
Jan 29 20:43:24 localhost kernel: 12 80 90345
Jan 29 20:43:24 localhost kernel:  0 90 90345
Jan 29 20:43:24 localhost kernel: 13 90 90345
Jan 29 20:43:24 localhost kernel:  0 90 90345
Jan 29 20:43:24 localhost kernel: 1a 90 90345
Jan 29 20:43:24 localhost kernel:  0 90 90345
Jan 29 20:43:24 localhost kernel:  3 80 90345
Jan 29 20:43:24 localhost kernel: 81 90 90345
Jan 29 20:43:24 localhost kernel: 10 90 90345
Jan 29 20:43:24 localhost kernel:  7 80 90345
Jan 29 20:43:24 localhost kernel:  0 90 90345
Jan 29 20:43:24 localhost kernel:  8 81 90553
Jan 29 20:43:24 localhost kernel:  7 80 90555
Jan 29 20:43:24 localhost kernel:  0 90 90555
Jan 29 20:43:24 localhost kernel: last result at 90553
Jan 29 20:43:24 localhost kernel: last redo_fd_request at 90343
Jan 29 20:43:24 localhost kernel: 70  0 
Jan 29 20:43:24 localhost kernel: status=81
Jan 29 20:43:24 localhost kernel: fdc_busy=1
Jan 29 20:43:24 localhost kernel: DEVICE_INTR=c01ab500
Jan 29 20:43:24 localhost kernel: cont=c03297f0
Jan 29 20:43:24 localhost kernel: CURRENT=c2577324
Jan 29 20:43:24 localhost kernel: command_status=-1
Jan 29 20:43:24 localhost kernel: 
Jan 29 20:43:24 localhost kernel: floppy0: floppy timeout called
Jan 29 20:43:24 localhost kernel: end_request: I/O error, dev 02:00 (floppy),
sector 0

Somehow, I don't think this is a good sign...

Comment 4 Need Real Name 2003-02-03 00:41:44 UTC
Im getting similar result with plain old floppy.
happens both in graphical and text mode
alt-f3 shows:
* boot floppy size is 0

Comment 5 Jeremy Katz 2003-02-19 06:30:39 UTC
Should be fixed with mkbootdisk 1.5.0-1


Note You need to log in before you can comment on or make changes to this bug.